services:
  - postgres:15-alpine

variables:
  POSTGRES_DB: postgres
  POSTGRES_USER: postgres
  POSTGRES_PASSWORD: ephemeral
  POSTGRES_HOST_AUTH_METHOD: trust

image: "python:3.11"

before_script:
        - pip install -r requirements.txt


stages:
        -  Unittesting

unittest:
        stage:  Unittesting
        script:
                - ./dummy-config.sh
                - ./unittest.sh
